/*
 * FourBodyPotential_TorsionUnitTest.hpp
 *
 *  Created on: Jul 08, 2013
 *      Author: heber
 */

#ifndef FOURBODYPOTENTIAL_TORSIONUNITTEST_HPP_
#define FOURBODYPOTENTIAL_TORSIONUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

#include "FunctionApproximation/FunctionModel.hpp"

class FourBodyPotential_Torsion;

/********************************************** Test classes **************************************/

class FourBodyPotential_TorsionTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( FourBodyPotential_TorsionTest) ;
    CPPUNIT_TEST ( operatorTest );
    CPPUNIT_TEST ( derivativeTest );
    CPPUNIT_TEST ( parameter_derivativeTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void operatorTest();
      void derivativeTest();
      void parameter_derivativeTest();

private:
      typedef std::vector<double> data_t;
      std::vector<FunctionModel::arguments_t> input;
      data_t output;
};

#endif /* FOURBODYPOTENTIAL_TORSIONUNITTEST_HPP_ */
